<?php

include '../../../script/conexion.php';

$id_compra = $_POST['edit_id_compra'];
$referencia_producto = $_POST['edit_referencia_producto'];
$costo_unidad = $_POST['edit_costo_unidad'];
$costo_unida_nuevo = intval(preg_replace('/[^0-9]+/', '', $_POST['edit_costo_unidad_nuevo']), 10);

$sql1 = "UPDATE alm_compra_detalle SET costo_unidad='$costo_unida_nuevo' WHERE id_compra='$id_compra' AND referencia_producto='$referencia_producto' AND costo_unidad='$costo_unidad' ";
if ($conn->query($sql1) === TRUE) {

    echo '<script language = javascript>
                    self.location = "../compra-detalle.php?id_compra=' . $id_compra . '"
                </script>';
} else {
    echo "Error: " . $sql1 . "<br>" . $conn->error;
}
